<?php
/**
 * The template for displaying comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package Ayyash
 * @author ThemeOO
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
<div id="comments" class="clearfix">
	<?php if ( have_comments() ) : ?>
		<div class="post-comments-heading">
			<h3>
			<?php
			comments_number(
				__( 'No Comments', 'ayyash' ),
				__( 'One Comment', 'ayyash' ),
				__( '% Comments', 'ayyash' )
			);
			?>
			</h3>
		</div>
		<div class="comments-container">
			<ul class="comment-list">
				<?php wp_list_comments( array( 'callback' => 'themeoo_comments' ) ); ?>
			</ul>
		</div>
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
			<div class="pagination post-pagination clearfix">
				<?php previous_comments_link( __( 'Older Comments', 'ayyash' ) ); ?>
				<?php next_comments_link( __( 'Newer Comments', 'ayyash' ) ); ?>
			</div>
		<?php endif; ?>
	<?php elseif ( ! comments_open() && ! is_page() && get_post_type() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
		<p><?php esc_html_e( 'Comments are closed.', 'ayyash' ); ?></p>
	<?php endif; ?>

	<?php if ( comments_open() ) : ?>
		<?php
		$themeoo_commenter     = wp_get_current_commenter();
		$themeoo_req           = get_option( 'require_name_email' );
		$themeoo_aria_req      = ( $themeoo_req ? " aria-required='true'" : '' );
		$themeoo_fields        = array(
			'author'  => '<div class="col-md-4"><input type="text" placeholder="' . __( 'Name (required)', 'ayyash' ) . '" name="author" id="author" ' . $themeoo_aria_req . '></div>',
			'email'   => '<div class="col-md-4"><input type="text" placeholder="' . __( 'Email Address (required)', 'ayyash' ) . '" name="email" id="email" ' . $themeoo_aria_req . '></div>',
			'website' => '<div class="col-md-4"><input type="text" placeholder="' . __( 'Website', 'ayyash' ) . '" name="url" id="url"></div>',
		);
		$themeoo_comments_args = array(
			'fields'              => $themeoo_fields,
			'comment_field'       => '<div class="row"><div class="col-md-12"><textarea name="comment" id="comment" placeholder="' . __( 'Your Comment...', 'ayyash' ) . '"></textarea></div></div>',
			'id_form'             => 'post-comments-form',
			/* translators: %s: Author of the comment being replied to. */
			'title_reply_to'      => esc_html__( 'Reply to %s', 'ayyash' ),
			'cancel_reply_before' => ' <span class="cancel-reply">',
			'cancel_reply_link'   => '<i class="ti-close" aria-hidden="true"></i><span class="sr-only">' . esc_html__( 'Cancel reply', 'ayyash' ) . '</span>',
			'cancel_reply_after'  => '</span>',
		);
		comment_form( $themeoo_comments_args );
		?>
	<?php endif; ?>
</div>
