<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package Ayyash
 * @author ThemeOO
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

$themeoo_view = themeoo_get_current_screen();
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-body-wrap">
		<header class="entry-header">
			<?php get_template_part( 'partials/content', 'sticky' ); ?>
			<?php themeoo_the_post_thumbnail( 'blog-normal', [ 'link' => false ] ); ?>
			<?php themeoo_the_title(); ?>
			<?php if ( 'post' === get_post_type() ) : ?>
				<div class="entry-meta">
					<?php themeoo_post_meta(); ?>
					<?php themeoo_edit_post_link(); ?>
				</div><!-- .entry-meta -->
			<?php endif; ?>
		</header><!-- .entry-header -->
		<div class="entry-content">
			<?php the_content(); ?>
			<?php themeoo_link_pages(); ?>
		</div><!-- .entry-content -->
	</div><!-- .post-body-wrap -->
	<footer class="entry-footer clearfix">
		<?php themeoo_post_author_info(); ?>
		<?php themeoo_post_taxonomy( $themeoo_view ); ?>
		<?php themeoo_post_single_navigation(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
