<?php
/**
 * CSS Variable Mapping.
 *
 * @package Ayyash
 * @version 1.0.0
 * @since 1.1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

return [
	'colors_global_accent'                    => '--ayyash-ac',
	'colors_global_accent_shade'              => '--ayyash-ahc',
	'colors_global_alt'                       => '--ayyash-fb',
	'colors_global_alt_text'                  => '--ayyash-ftc',
	'colors_global_border'                    => '--ayyash-boc',
	'colors_global_heading'                   => '--ayyash-hc',
	'colors_global_text'                      => '--ayyash-tc',
	'colors_global_text_alt'                  => '--ayyash-tac',
	'colors_global_site_bg'                   => '--ayyash-sbc',
	'colors_global_content_bg'                => '--ayyash-cbc',
	'colors_global_sticky_bg'                 => '--ayyash-spbc',
	'colors_header_bg'                        => '--ayyash-h-bc',
	'colors_header_border'                    => '--ayyash-h-boc',

	'colors_header_button_bgcolor'            => '--ayyash-hb-bc',
	'colors_header_button_bgcolor_hover'      => '--ayyash-hb-bhc',
	'colors_header_button_color'              => '--ayyash-hb-c',
	'colors_header_button_hover_color'        => '--ayyash-hb-hc',
	'colors_header_button_border_color'       => '--ayyash-hb-boc',
	'colors_header_button_border_hover_color' => '--ayyash-hb-bohc',

	'colors_header2_bg'                       => '--ayyash-sh-bc',
	'colors_header2_text'                     => '--ayyash-sh-tc',
	'colors_header2_border_top'               => '--ayyash-sh-tbc',
	'colors_header2_border_bottom'            => '--ayyash-sh-bbc',
	'colors_header2_sc_si'                    => '--ayyash-sh-sic',
	'colors_header2_sc_si_hover'              => '--ayyash-sh-sihc',
	'colors_header2_sc_si_hover_bg'           => '--ayyash-sh-sihbc',
	'colors_menu_text'                        => '--ayyash-mm-tc',
	'colors_menu_hover'                       => '--ayyash-mm-thc',
	'colors_menu_button_bg'                   => '--ayyash-mm-bbc',
	'colors_menu_button_bg_hover'             => '--ayyash-mm-bbhc',
	'colors_menu_button_text'                 => '--ayyash-mm-btc',
	'colors_menu_button_text_hover'           => '--ayyash-mm-bthc',
	'colors_menu_sub_bg'                      => '--ayyash-sm-bc',
	'colors_menu_sub_wbt'                     => '--ayyash-sm-wbt',
	'colors_menu_sub_border'                  => '--ayyash-sm-boc',
	'colors_menu_sub_text'                    => '--ayyash-sm-tc',
	'colors_menu_sub_hover'                   => '--ayyash-sm-thc',
	'colors_menu_sub_hover_bg'                => '--ayyash-sm-bhc',
	'colors_menu_mob_bg'                      => '--ayyash-mbl-bc',
	'colors_menu_color'                       => '--ayyash-mbl-ic',
	'colors_menu_mob_hover'                   => '--ayyash-mbl-thc',
	'colors_menu_mob_sub_bg'                  => '--ayyash-mbl-sbc',
	'colors_menu_mob_hover_bg'                => '--ayyash-mbl-bhc',
	'colors_menu_mob_border'                  => '--ayyash-mbl-mibc',
	'colors_title_bg'                         => '--ayyash-tb-bc',
	'colors_title_text'                       => '--ayyash-tb-tc',
	'colors_title_border'                     => '--ayyash-tb-boc',
	// Footer top.
	'colors_footer_top_bg'                    => '--ayyash-tf-bc',
	'colors_footer_top_top_border'            => '--ayyash-tf-btc',
	'colors_footer_top_heading'               => '--ayyash-tf-hc',
	'colors_footer_top_text'                  => '--ayyash-tf-tc',
	'colors_footer_top_link'                  => '--ayyash-tf-lc',
	'colors_footer_top_link_hover'            => '--ayyash-tf-lhc',
	'colors_footer_top_border'                => '--ayyash-tf-boc',
	// Footer Main
	'colors_footer_main_bg'                   => '--ayyash-mf-bc',
	'colors_footer_main_top_border'           => '--ayyash-mf-btc',
	'colors_footer_main_heading'              => '--ayyash-mf-hc',
	'colors_footer_main_text'                 => '--ayyash-mf-tc',
	'colors_footer_main_link'                 => '--ayyash-mf-lc',
	'colors_footer_main_link_hover'           => '--ayyash-mf-lhc',
	'colors_footer_main_border'               => '--ayyash-mf-boc',
	// Footer Bottom
	'colors_footer_bottom_bg'                 => '--ayyash-bf-bc',
	'colors_footer_bottom_top_border'         => '--ayyash-bf-btc',
	'colors_footer_bottom_heading'            => '--ayyash-bf-hc',
	'colors_footer_bottom_text'               => '--ayyash-bf-tc',
	'colors_footer_bottom_link'               => '--ayyash-bf-lc',
	'colors_footer_bottom_link_hover'         => '--ayyash-bf-lhc',
	'colors_footer_bottom_border'             => '--ayyash-bf-boc',
	// Footer Secondary
	'colors_footer_sc_bg'                     => '--ayyash-sf-bc',
	'colors_footer_sc_text'                   => '--ayyash-sf-tc',
	'colors_footer_sc_link'                   => '--ayyash-sf-lc',
	'colors_footer_sc_link_hover'             => '--ayyash-sf-lhc',
	'colors_footer_sc_si_bg'                  => '--ayyash-sf-sibc',
	'colors_footer_sc_si'                     => '--ayyash-sf-sic',
	'colors_footer_sc_si_hover'               => '--ayyash-sf-sihc',
	'colors_footer_sc_si_hover_bg'            => '--ayyash-sf-sihbc',

	/**
	 * @see Themeoo_Customize_Colors::register_colors_footer_top()
	 * 'colors_footer_top_icon'  => '--ayyash-ft-ic',
	 * 'colors_footer_top_title' => '--ayyash-ft-tc',
	 * 'colors_footer_top_desc'  => '--ayyash-ft-dc',*/
	// Layout
	'layout_header_height'                    => '--ayyash-hh',
	'layout_header_menu_height'               => '--ayyash-mmh',

	'layout_header_button_tb_padding'         => '--ayyash-hb-ptb',
	'layout_header_button_lr_padding'         => '--ayyash-hb-plr',
	'layout_header_button_border_radius'      => '--ayyash-hb-br',
	'layout_header_button_line_height'        => '--ayyash-hb-lh',

	'layout_header_sticky_height'             => '--ayyash-shh',
	'layout_header_sticky_menu_height'        => '--ayyash-smmh',
	'layout_header_submenu_width'             => '--ayyash-smw',
	'layout_header_submenu_tb_padding'        => '--ayyash-smtbp',
	'layout_header_submenu_lr_padding'        => '--ayyash-smlrp',
	'layout_header_menu_lr_padding'           => '--ayyash-mlrp',
	'layout_transparent_header_top_margin'    => '--ayyash-thtm',
	'layout_footer_credits_tb_margin'         => '--ayyash-fctb',
	// Layout align
	'layout_header_menu_alignment'            => '--ayyash-nav-align',
	'layout_header_submenu_alignment'         => '--ayyash-sub-nav-align',
	'layout_post_content_align'               => '--ayyash-spost-ca',
	'layout_page_content_align'               => '--ayyash-spage-ca',

	// Typo Global.
	'typography_global_font_family'           => '--ayyash-ff-global',
	'typography_global_font_variant'          => '--ayyash-fw-global',
	'typography_global_font_size'             => '--ayyash-fs-global',
	'typography_global_line_height'           => '--ayyash-lh-global',
	'typography_global_text_transform'        => '--ayyash-tt-global',
	'typography_global_letter_spacing'        => '--ayyash-ls-global',
	'typography_global_word_spacing'          => '--ayyash-ws-global',
	// Typo Headings.
	'typography_heading_font_family'           => '--ayyash-ff-heading',
	'typography_heading_font_variant'          => '--ayyash-fw-heading',
	'typography_heading_font_size'             => '--ayyash-fs-heading',
	'typography_heading_line_height'           => '--ayyash-lh-heading',
	'typography_heading_text_transform'        => '--ayyash-tt-heading',
	'typography_heading_letter_spacing'        => '--ayyash-ls-heading',
	'typography_heading_word_spacing'          => '--ayyash-ws-heading',

	'typography_heading_h1_font_family'       => '--ff-h1',
	'typography_heading_h1_font_variant'      => '--fw-h1',
	'typography_heading_h1_font_size'         => '--fs-h1',
	'typography_heading_h1_line_height'       => '--lh-h1',
	'typography_heading_h1_text_transform'    => '--tt-h1',
	'typography_heading_h1_letter_spacing'    => '--ls-h1',
	'typography_heading_h1_word_spacing'      => '--ws-h1',
	'typography_heading_h2_font_family'       => '--ff-h2',
	'typography_heading_h2_font_variant'      => '--fw-h2',
	'typography_heading_h2_font_size'         => '--fs-h2',
	'typography_heading_h2_line_height'       => '--lh-h2',
	'typography_heading_h2_text_transform'    => '--tt-h2',
	'typography_heading_h2_letter_spacing'    => '--ls-h2',
	'typography_heading_h2_word_spacing'      => '--ws-h2',
	'typography_heading_h3_font_family'       => '--ff-h3',
	'typography_heading_h3_font_variant'      => '--fw-h3',
	'typography_heading_h3_font_size'         => '--fs-h3',
	'typography_heading_h3_line_height'       => '--lh-h3',
	'typography_heading_h3_text_transform'    => '--tt-h3',
	'typography_heading_h3_letter_spacing'    => '--ls-h3',
	'typography_heading_h3_word_spacing'      => '--ws-h3',
	'typography_heading_h4_font_family'       => '--ff-h4',
	'typography_heading_h4_font_variant'      => '--fw-h4',
	'typography_heading_h4_font_size'         => '--fs-h4',
	'typography_heading_h4_line_height'       => '--lh-h4',
	'typography_heading_h4_text_transform'    => '--tt-h4',
	'typography_heading_h4_letter_spacing'    => '--ls-h4',
	'typography_heading_h4_word_spacing'      => '--ws-h4',
	'typography_heading_h5_font_family'       => '--ff-h5',
	'typography_heading_h5_font_variant'      => '--fw-h5',
	'typography_heading_h5_font_size'         => '--fs-h5',
	'typography_heading_h5_line_height'       => '--lh-h5',
	'typography_heading_h5_text_transform'    => '--tt-h5',
	'typography_heading_h5_letter_spacing'    => '--ls-h5',
	'typography_heading_h5_word_spacing'      => '--ws-h5',
	'typography_heading_h6_font_family'       => '--ff-h6',
	'typography_heading_h6_font_variant'      => '--fw-h6',
	'typography_heading_h6_font_size'         => '--fs-h6',
	'typography_heading_h6_line_height'       => '--lh-h6',
	'typography_heading_h6_text_transform'    => '--tt-h6',
	'typography_heading_h6_letter_spacing'    => '--ls-h6',
	'typography_heading_h6_word_spacing'      => '--ws-h6',
	'typography_menu_font_family'             => '--ayyash-ff-menu',
	'typography_menu_font_variant'            => '--ayyash-fw-menu',
	'typography_menu_font_size'               => '--ayyash-fs-menu',
	'typography_menu_text_transform'          => '--ayyash-tt-menu',
	'typography_menu_letter_spacing'          => '--ayyash-ls-menu',
	'typography_menu_word_spacing'            => '--ayyash-ws-menu',
	'typography_menu_sub_font_family'         => '--ayyash-ff-smenu',
	'typography_menu_sub_font_variant'        => '--ayyash-fw-smenu',
	'typography_menu_sub_font_size'           => '--ayyash-fs-smenu',
	'typography_menu_sub_line_height'         => '--ayyash-lh-smenu',
	'typography_menu_sub_text_transform'      => '--ayyash-tt-smenu',
	'typography_menu_sub_letter_spacing'      => '--ayyash-ls-smenu',
	'typography_menu_sub_word_spacing'        => '--ayyash-ws-smenu',
	'typography_menu_mobile_font_family'      => '--ayyash-ff-mmenu',
	'typography_menu_mobile_font_variant'     => '--ayyash-fw-mmenu',
	'typography_menu_mobile_font_size'        => '--ayyash-fs-mmenu',
	'typography_menu_mobile_line_height'      => '--ayyash-lh-mmenu',
	'typography_menu_mobile_text_transform'   => '--ayyash-tt-mmenu',
	'typography_menu_mobile_letter_spacing'   => '--ayyash-ls-mmenu',
	'typography_menu_mobile_word_spacing'     => '--ayyash-ws-mmenu',
	'typography_site_title_font_family'       => '--ayyash-ff-stitle',
	'typography_site_title_font_variant'      => '--ayyash-fw-stitle',
	'typography_site_title_font_size'         => '--ayyash-fs-stitle',
	'typography_site_title_line_height'       => '--ayyash-lh-stitle',
	'typography_site_title_text_transform'    => '--ayyash-tt-stitle',
	'typography_site_title_letter_spacing'    => '--ayyash-ls-stitle',
	'typography_site_title_word_spacing'      => '--ayyash-ws-stitle',
	'typography_site_tagline_font_family'     => '--ayyash-ff-stag',
	'typography_site_tagline_font_variant'    => '--ayyash-fw-stag',
	'typography_site_tagline_font_size'       => '--ayyash-fs-stag',
	'typography_site_tagline_line_height'     => '--ayyash-lh-stag',
	'typography_site_tagline_text_transform'  => '--ayyash-tt-stag',
	'typography_site_tagline_letter_spacing'  => '--ayyash-ls-stag',
	'typography_site_tagline_word_spacing'    => '--ayyash-ws-stag',
	'typography_sidebar_title_font_family'    => '--ayyash-ff-s-wtitle',
	'typography_sidebar_title_font_variant'   => '--ayyash-fw-s-wtitle',
	'typography_sidebar_title_font_size'      => '--ayyash-fs-s-wtitle',
	'typography_sidebar_title_line_height'    => '--ayyash-lh-s-wtitle',
	'typography_sidebar_title_text_transform' => '--ayyash-tt-s-wtitle',
	'typography_sidebar_title_letter_spacing' => '--ayyash-ls-s-wtitle',
	'typography_sidebar_title_word_spacing'   => '--ayyash-ws-s-wtitle',
	'typography_sidebar_body_font_family'     => '--ayyash-ff-s-wbody',
	'typography_sidebar_body_font_variant'    => '--ayyash-fw-s-wbody',
	'typography_sidebar_body_font_size'       => '--ayyash-fs-s-wbody',
	'typography_sidebar_body_line_height'     => '--ayyash-lh-s-wbody',
	'typography_sidebar_body_text_transform'  => '--ayyash-tt-s-wbody',
	'typography_sidebar_body_letter_spacing'  => '--ayyash-ls-s-wbody',
	'typography_sidebar_body_word_spacing'    => '--ayyash-ws-s-wbody',
	'typography_footer_title_font_family'     => '--ayyash-ff-f-wtitle',
	'typography_footer_title_font_variant'    => '--ayyash-fw-f-wtitle',
	'typography_footer_title_font_size'       => '--ayyash-fs-f-wtitle',
	'typography_footer_title_line_height'     => '--ayyash-lh-f-wtitle',
	'typography_footer_title_text_transform'  => '--ayyash-tt-f-wtitle',
	'typography_footer_title_letter_spacing'  => '--ayyash-ls-f-wtitle',
	'typography_footer_title_word_spacing'    => '--ayyash-ws-f-wtitle',
	'typography_footer_body_font_family'      => '--ayyash-ff-f-wbody',
	'typography_footer_body_font_variant'     => '--ayyash-fw-f-wbody',
	'typography_footer_body_font_size'        => '--ayyash-fs-f-wbody',
	'typography_footer_body_line_height'      => '--ayyash-lh-f-wbody',
	'typography_footer_body_text_transform'   => '--ayyash-tt-f-wbody',
	'typography_footer_body_letter_spacing'   => '--ayyash-ls-f-wbody',
	'typography_footer_body_word_spacing'     => '--ayyash-ws-f-wbody',
	'typography_footer_text_font_family'      => '--ayyash-ff-f-copyright',
	'typography_footer_text_font_variant'     => '--ayyash-fw-f-copyright',
	'typography_footer_text_font_size'        => '--ayyash-fs-f-copyright',
	'typography_footer_text_line_height'      => '--ayyash-lh-f-copyright',
	'typography_footer_text_text_transform'   => '--ayyash-tt-f-copyright',
	'typography_footer_text_letter_spacing'   => '--ayyash-ls-f-copyright',
	'typography_footer_text_word_spacing'     => '--ayyash-ws-f-copyright',
];

// End of file css-variable-mapping.php.
