<?php
if ( ! function_exists( 'themeoo_header_button' ) ) {
	/**
	 * Site menu.
	 *
	 * @return void
	 */
	function themeoo_header_button() {
		if ( themeoo_get_mod( 'layout_header_button' ) ) {

			$mobile_grid = themeoo_get_mod( 'layout_header_menu_mobileshow' );
			switch ( $mobile_grid ) {
				case 'sm':
					$mobile_grid = 'd-none d-md-block';
					break;
				case 'md':
					$mobile_grid = ' d-none d-lg-block ';
					break;
				case 'lg':
					$mobile_grid = ' d-none d-xl-block';
					break;
				case 'xl':
					$mobile_grid = ' d-none';
					break;
				default:
					$mobile_grid = ' d-none d-md-block';
			}
			?>
			<div class="themeoo-header-button <?php echo esc_attr( $mobile_grid ); ?>">
				<a href="<?php echo esc_url( themeoo_get_mod('layout_header_button_url')); ?>">
					<?php echo wp_kses_post( themeoo_get_mod( 'layout_header_button_text' ) ); ?>
				</a>
			</div><!-- end .themeoo-header-menu-wrap -->
			<?php
		}
	}
}
